@echo off

echo WARNING. For this auto installer to work you need to have installed Python 3.10.x, Git, Cuda 11.8, FFmpeg and C++ tools 
echo Follow this tutorial step by step to install above requirements : https://youtu.be/-NjNy7afOQ0
echo Models will be downloaded into your HuggingFace cache folder : https://www.youtube.com/watch?v=ZiUXf_idIR4

pip install requests

git clone https://github.com/FurkanGozukara/Paints-UNDO

cd Paints-UNDO

py --version >nul 2>&1
if "%ERRORLEVEL%" == "0" (
    echo Python launcher is available. Generating Python 3.10 VENV
    py -3.10 -m venv venv
) else (
    echo Python launcher is not available, generating VENV with default Python. Make sure that it is 3.10
    python -m venv venv
)

call .\venv\Scripts\activate.bat

echo installing requirements 

pip install -r requirements.txt

pip install https://huggingface.co/MonsterMMORPG/SECourses/resolve/main/triton-2.1.0-cp310-cp310-win_amd64.whl

REM Show completion message
echo Virtual environment made and installed properly - save logs to send me if any errors occurs

REM Pause to keep the command prompt open
pause